LiferaySiManager (Social Portal ISTI Scheduler Support Library 0.2.4-SNAPSHOT API)
Date: 2014-02-24

org.gcube.portal.istischeduler.impl

## Class LiferaySiManager

- java.lang.Object
- - org.gcube.portal.istischeduler.impl.LiferaySiManager

- All Implemented Interfaces:
    SiManager

      public class LiferaySiManager
      extends Object
      implements SiManager

  Create 2 auxiliary tables needed by Si (Sistema informativo ISTI) to update the Liferay DB correctly
  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiferaySiManager()` Check if the tables exist

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addSiEntry(SiEntry entry)`
    `boolean` | `addSiLogEntry(Date logDate, String logResult, String logInfo)`
    `SiServerEntry` | `getSiEndPoint()`
    `SiEntry` | `getSiEntryById(long id)`
    `static String` | `getTomcatFolder()`
    `List<SiEntry>` | `listSiEntries()`
    `boolean` | `updateSiEntry(SiEntry entry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiferaySiManager

          public LiferaySiManager()

      Check if the tables exist

  - ### Method Detail

    - #### addSiEntry

          public boolean addSiEntry(SiEntry entry)
                             throws SQLException

      Specified by:
        `addSiEntry` in interface `SiManager`
      Parameters:
        `entry` - `SiEntry`
      Returns:
        true if the operation is successful
      Throws:
        `SQLException`

    - #### updateSiEntry

          public boolean updateSiEntry(SiEntry entry)
                                throws SQLException

      Specified by:
        `updateSiEntry` in interface `SiManager`
      Returns:
        true if the operation is successful
      Throws:
        `SQLException`

    - #### getSiEntryById

          public SiEntry getSiEntryById(long id)
                                 throws SQLException

      Specified by:
        `getSiEntryById` in interface `SiManager`
      Parameters:
        `id` - the id to look for
      Returns:
        the `SiEntry` instance or null if not exist
      Throws:
        `SQLException`

    - #### listSiEntries

          public List<SiEntry> listSiEntries()
                                      throws SQLException

      Specified by:
        `listSiEntries` in interface `SiManager`
      Returns:
        alist of entries
      Throws:
        `SQLException`

    - #### addSiLogEntry

          public boolean addSiLogEntry(Date logDate,
                              String logResult,
                              String logInfo)
                                throws SQLException

      Specified by:
        `addSiLogEntry` in interface `SiManager`
      Parameters:
        `logDate` - t_sistema_informativo_sync_log_data
        `logResult` - t_sistema_informativo_sync_log_result
        `logInfo` - t_sistema_informativo_sync_log_info
      Returns:
        true if the operation is successful
      Throws:
        `SQLException`

    - #### getTomcatFolder

          public static String getTomcatFolder()

      Returns:
        $CATALINA_HOME

    - #### getSiEndPoint

          public SiServerEntry getSiEndPoint()

      Specified by:
        `getSiEndPoint` in interface `SiManager`
      Returns:
        the endpoint of the si database

Copyright © 2014. All Rights Reserved.